Name:       rpm-helper
Version:    0.24.11
Release:    %mkrel 3
Summary:    Helper scripts for rpm scriptlets
License:    GPL
Group:      System/Packaging
URL:        http://www.mageia.org/
Source0:    %{name}-%{version}.tar.xz
Requires:   grep
Requires(pre): shadow-utils
Requires:   shadow-utils
Requires:   chkconfig
Requires:   coreutils
# for addgroup which uses xargs
Requires:   findutils
# for /etc/passwd and /etc/group
Requires:   setup
# for /bin/systemctl
Requires:   systemd-units
Conflicts:  chkconfig < 1.3.4-10
BuildArch:  noarch

%description
Helper scripts for rpm installation.

%prep
%setup -q

%install
%makeinstall_std

%check
make test

%files
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_sys_macros_dir}/%{name}.macros
%{_localstatedir}/lib/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/ssl


%changelog

* Tue Jan 22 2013 fwang <fwang> 0.24.11-3.mga3
+ Revision: 390814
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.24.11-2.mga3
+ Revision: 380454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 colin <colin> 0.24.11-1.mga3
+ Revision: 300989
- New version: 0.24.11
  o mark a systemd-only service as 'migrated' on install to avoid checking for
    sysvinit migration when next upgraded.
  o deal slightly better with non-releative symlinks in chroots in units names.

* Mon Apr 30 2012 colin <colin> 0.24.10-1.mga2
+ Revision: 234364
- Add missing source
- New version: 0.24.10
- Fix bug where invalid exit status leaked from the script accidentally.
- Prefer native systemd enable rules over manual linking

* Mon Apr 30 2012 colin <colin> 0.24.9-1.mga2
+ Revision: 234298
- New version: 0.24.9
- Fix handling of masked and symlinked unit names

* Tue Apr 03 2012 colin <colin> 0.24.8-1.mga2
+ Revision: 228192
- New version: 0.24.8

* Mon Mar 12 2012 guillomovitch <guillomovitch> 0.24.7-1.mga2
+ Revision: 223031
- new version

* Thu Feb 16 2012 colin <colin> 0.24.6-1.mga2
+ Revision: 209785
- New version: 0.24.6

* Thu Dec 29 2011 tmb <tmb> 0.24.5-2.mga2
+ Revision: 188774
- make sure shadow-utils are installed before rpm-helper (mga #3916)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.24.5-1.mga2
+ Revision: 181307
- Add support for systemd .path files

* Tue Dec 13 2011 dmorgan <dmorgan> 0.24.4-2.mga2
+ Revision: 181186
- Requires systemd-units for services macros, that use /bin/systemctl ( mga #3484)

* Thu Nov 03 2011 colin <colin> 0.24.4-1.mga2
+ Revision: 162107
- New version: 0.24.4

* Sun Oct 30 2011 dmorgan <dmorgan> 0.24.2-1.mga2
+ Revision: 160203
- New version 0.24.2

* Fri Oct 28 2011 dmorgan <dmorgan> 0.24.1-1.mga2
+ Revision: 158904
- New version 0.24.1 with systemd support improved

* Tue Jan 25 2011 tmb <tmb> 0.23.4-3.mga1
+ Revision: 39357
- add P0: fix add-service / del-service broken by added systemd support

* Tue Jan 25 2011 nanardon <nanardon> 0.23.4-1.mga1
+ Revision: 39050
- 0.23.4
- imported package rpm-helper

